org.apache.avro.reflect

## Annotation Type AvroAlias

    @Retention(value=RUNTIME)
     @Target(value={TYPE,FIELD})
     @Repeatable(value=AvroAliases.class)
    public @interface AvroAlias

Adds the given name and space as an alias to the schema. Avro files of this schema can be read into classes named by the alias.

### Field Summary

Fields
`static String` `NULL`

### Required Element Summary

Required Elements
`String` `alias`

### Optional Element Summary

Optional Elements
`String` `space`

### Field Detail

#### NULL

    public static final String NULL

### Element Detail

#### alias

    public abstract String alias

#### space

    public abstract String space

Default:
  "NOT A VALID NAMESPACE"